/* Copyright Coraid, Inc.  2006.  All Rights Reserved */

#include <termios.h>
#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include "cec.h"

static struct  termios attr;

void
rawon(void)
{
	struct termios nattr;
	
	if (tcgetattr(STDIN_FILENO, &attr) != 0) {
		fprintf(stderr, "Can't make raw\n");
		return;
	}
	nattr = attr;
	cfmakeraw(&nattr);
	tcsetattr(0, TCSAFLUSH, &nattr);
}

void
rawoff(void)
{
	tcsetattr(0,TCSAFLUSH, &attr);
}

void
dump(char *ap, int len)
{
	int i;
	unsigned char *p = (unsigned char *) ap;

	for (i=1; i<=len; i++)
		fprintf(stderr, "%2.2X%s", p[i], i%16 ? " " : "\r\n");
	if (len%16)
		fprintf(stderr, "\r\n");
}

